CMSIS-DSP: Vector Fill

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Vector Fill
Support Functions

## Functions
void | arm_fill_f32 (float32_t value, float32_t *pDst, uint32_t blockSize)
| Fills a constant value into a floating-point vector. More...
void | arm_fill_q15 (q15_t value, q15_t *pDst, uint32_t blockSize)
| Fills a constant value into a Q15 vector. More...
void | arm_fill_q31 (q31_t value, q31_t *pDst, uint32_t blockSize)
| Fills a constant value into a Q31 vector. More...
void | arm_fill_q7 (q7_t value, q7_t *pDst, uint32_t blockSize)
| Fills a constant value into a Q7 vector. More...

## Description

Fills the destination vector with a constant value.

            pDst[n] = value;   0 <= n < blockSize.

There are separate functions for floating point, Q31, Q15, and Q7 data types.

## Function Documentation

void arm_fill_f32 | ( | float32_t | value,
|  | float32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | value | input value to be filled
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the output vector

Returns
  none.

References blockSize.

Referenced by main().

void arm_fill_q15 | ( | q15_t | value,
|  | q15_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | value | input value to be filled
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the output vector

Returns
  none.

References __PKHBT, __SIMD32, and blockSize.

Referenced by arm_conv_fast_opt_q15(), arm_conv_opt_q15(), arm_conv_opt_q7(), arm_conv_partial_fast_opt_q15(), arm_conv_partial_opt_q15(), arm_conv_partial_opt_q7(), arm_correlate_fast_opt_q15(), arm_correlate_opt_q15(), and arm_correlate_opt_q7().

void arm_fill_q31 | ( | q31_t | value,
|  | q31_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | value | input value to be filled
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the output vector

Returns
  none.

References blockSize.

void arm_fill_q7 | ( | q7_t | value,
|  | q7_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | value | input value to be filled
  [out] | *pDst | points to output vector
  [in] | blockSize | length of the output vector

Returns
  none.

References __PACKq7, __SIMD32, and blockSize.